Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class InvoiceCreditNoteRows
    Inherits BaseObject

    Private _InvoiceCreditNoteHeader As InvoiceCreditNoteHeader
    Private _QTT As Double 'Jóváírt mennyiség 
    Private _PriceHUF As Double 'Jóváírás ára
    Private _PriceDEV As Double
    Private _SumPriceHUF As Double 'Netto sor összesen
    Private _SumPriceDEV As Double
    Private _SumPriceVATHUF As Double 'ÁFA sor összesen
    Private _SumPriceVATDEV As Double
    Private _SumPriceBruttoHUF As Double 'Brutto sor összesen
    Private _SumPriceBruttoDEV As Double
    Private _Description As String
    Private _StorageInRows As StorageInRows 'Viszaírt betárolási sor
    Private _FromInvoiceRows As InvoiceRows
    Private _ToInvoiceRows As InvoiceRows

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("InvoiceCreditNoteHeader-InvoiceCreditNoteRows", GetType(InvoiceCreditNoteHeader))> _
    Property InvoiceCreditNoteHeader As InvoiceCreditNoteHeader
        Get
            Return _InvoiceCreditNoteHeader
        End Get
        Set(value As InvoiceCreditNoteHeader)
            SetPropertyValue("InvoiceCreditNoteHeader", _InvoiceCreditNoteHeader, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
    Property PriceHUF As Double
        Get
            Return _PriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("PriceHUF", _PriceHUF, value)
        End Set
    End Property
    Property PriceDEV As Double
        Get
            Return _PriceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("PriceDEV", _PriceDEV, value)
        End Set
    End Property
    Property SumPriceHUF As Double
        Get
            Return _SumPriceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceHUF", _SumPriceHUF, value)
        End Set
    End Property
    Property SumPriceDEV As Double
        Get
            Return _SumPriceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceDEV", _SumPriceDEV, value)
        End Set
    End Property
    Property SumPriceVATHUF As Double
        Get
            Return _SumPriceVATHUF
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceVATHUF", _SumPriceVATHUF, value)
        End Set
    End Property
    Property SumPriceVATDEV As Double
        Get
            Return _SumPriceVATDEV
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceVATDEV", _SumPriceVATDEV, value)
        End Set
    End Property
    Property SumPriceBruttoHUF As Double
        Get
            Return _SumPriceBruttoHUF
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceBruttoHUF", _SumPriceBruttoHUF, value)
        End Set
    End Property
    Property SumPriceBruttoDEV As Double
        Get
            Return _SumPriceBruttoDEV
        End Get
        Set(value As Double)
            SetPropertyValue("SumPriceBruttoDEV", _SumPriceBruttoDEV, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property StorageInRows As StorageInRows
        Get
            Return _StorageInRows
        End Get
        Set(value As StorageInRows)
            SetPropertyValue("StorageInRows", _StorageInRows, value)
        End Set
    End Property
    Property FromInvoiceRows As InvoiceRows
        Get
            Return _FromInvoiceRows
        End Get
        Set(value As InvoiceRows)
            SetPropertyValue("FromInvoiceRows", _FromInvoiceRows, value)
        End Set
    End Property
    Property ToInvoiceRows As InvoiceRows
        Get
            Return _ToInvoiceRows
        End Get
        Set(value As InvoiceRows)
            SetPropertyValue("ToInvoiceRows", _ToInvoiceRows, value)
        End Set
    End Property
End Class
